JSON Tables
Append
Append data to an existing JSON table. This should not be run in parallel with another append call, or when creating a file manager file, as undefined behaviour may occur.
Permissions
api.file-manager.write
POST
/
v1
/
json-tables
/
{jsonTableId}
/
append
Append
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"Amount": "100.00$",
"Account": "Accounts Receivable"
},
{
"Amount": "100.00$",
"Account": "Accounts Payable"
}
]
'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append"
payload = [
{
"Amount": "100.00$",
"Account": "Accounts Receivable"
},
{
"Amount": "100.00$",
"Account": "Accounts Payable"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{Amount: '100.00$', Account: 'Accounts Receivable'},
{Amount: '100.00$', Account: 'Accounts Payable'}
])
};
fetch('https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"headers": [
"<string>"
],
"currentSize": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Example:
[
{
"Amount": "100.00$",
"Account": "Accounts Receivable"
},
{
"Amount": "100.00$",
"Account": "Accounts Payable"
}
]
Response
200 - application/json
OK
The unique object identifier.
The data integrity version, to ensure data consistency.
The date that the object was originally created.
The date that the object was last updated or modified.
Details about the user who created the object.
Show child attributes
Show child attributes
Details about the user who last modified or updated the object.
Show child attributes
Show child attributes
The combined size of all data that has been appended to this JSON table.
Was this page helpful?
⌘I
Append

